<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

    <h:head>
        <meta charset="utf-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <title>PrimeFaces+Admin LTE</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"/>
        <meta http-equiv="cache-control" content="max-age=0" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta http-equiv="expires" content="0" />
        <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
        <meta http-equiv="pragma" content="no-cache" />
        <!-- Bootstrap 3.3.5 -->
        <h:outputStylesheet library="bootstrap" name="css/bootstrap.min.css"/>

        <!-- Font Awesome -->
        <!--<h:outputStylesheet library="css" name="font-awesome.min.css"/>-->
        <!--        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css"/>-->
        <!-- Ionicons -->
        <!--        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css"/>-->
        <h:outputStylesheet library="css" name="ionicons.min.css"/>
        <!-- Theme style -->
        <h:outputStylesheet library="dist" name="css/AdminLTE.min.css"/>
        <!-- AdminLTE Skins. Choose a skin from the css/skins
             folder instead of downloading all of them to reduce the load. -->
        <h:outputStylesheet library="dist" name="css/skins/_all-skins.min.css"/>
        <!-- iCheck -->
        <h:outputStylesheet library="plugins" name="iCheck/flat/blue.css"/>
        <!-- jvectormap -->
        <h:outputStylesheet library="plugins" name="jvectormap/jquery-jvectormap-1.2.2.css"/>
        <!-- Date Picker -->
        <!--        <h:outputStylesheet library="plugins" name="datepicker/datepicker3.css"/>-->
        <!-- Daterange picker -->
        <!--<h:outputStylesheet library="plugins" name="daterangepicker/daterangepicker-bs3.css"/>-->
        <!-- bootstrap wysihtml5 - text editor -->
        <h:outputStylesheet library="plugins" name="bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css"/>
        <h:outputStylesheet library="css" name="nprogress.css"/>
        <style type="text/css">
            div[id="growl_container"] {
                top: 60px;
                z-index:1001; 
            }
            div[id="growl_container"] {
                position:absolute;
                top:60px;
                z-index:1001;
            }
            ::-webkit-scrollbar {
                width: 8px;
            }
            ::-webkit-scrollbar-button {
                width: 8px;
                height:5px;
            }
            ::-webkit-scrollbar-track {
                background:#eee;
                border: thin solid lightgray;
                box-shadow: 0px 0px 3px #3c8dbc inset;
                border-radius:10px;
            }
            ::-webkit-scrollbar-thumb {
                background:#3c8dbc;
                border: thin solid #3c8dbc;
                border-radius:10px;
            }
            ::-webkit-scrollbar-thumb:hover {
                background:#3c8dbc;
            }
        </style>

        <h:outputScript library="scripts" name="pfcrud.js"/>
        <h:outputStylesheet library="css" name="pfcrud.css"/>
    </h:head>

    <h:body class="hold-transition skin-blue sidebar-mini">

        <p:growl id="growl" life="3000"/>

        <p:dialog appendTo="@(body)" modal="true" resizable="false" closable="false" header="#{messages.pleaseWait}" widgetVar="Loading" width="300">
            <center>#{messages.loading}
                <p:graphicImage value="/resources/images/ajaxloadingbar.gif"/></center>
        </p:dialog>

	<!--         <ui:include src="Profile.xhtml"/> -->

	<p:dialog appendTo="@(body)" resizable="false" header="test" widgetVar="Chat" responsive="true" position="right,bottom" width="400px">
            <div class="col-md-12">
                <!-- DIRECT CHAT -->
                <div class="box box-warning direct-chat direct-chat-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Direct Chat</h3>
                        <div class="box-tools pull-right">
                            <span data-toggle="tooltip" title="3 New Messages" class="badge bg-yellow">3</span>
                            <button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                            <button class="btn btn-box-tool" data-toggle="tooltip" title="Contacts" data-widget="chat-pane-toggle"><i class="fa fa-comments"></i></button>
                            <button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                        </div>
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <!-- Conversations are loaded here -->
                        <div class="direct-chat-messages">
                            <!-- Message. Default to the left -->
                            <div class="direct-chat-msg">
                                <div class="direct-chat-info clearfix">
                                    <span class="direct-chat-name pull-left">Alexander Pierce</span>
                                    <span class="direct-chat-timestamp pull-right">23 Jan 2:00 pm</span>
                                </div><!-- /.direct-chat-info -->
                                <p:graphicImage class="direct-chat-img" value="/resources/dist/img/user1-128x128.jpg" alt="message user image"/><!-- /.direct-chat-img -->
                                <div class="direct-chat-text">
                                    Is this template really for free? That's unbelievable!
                                </div><!-- /.direct-chat-text -->
                            </div><!-- /.direct-chat-msg -->

                            <!-- Message to the right -->
                            <div class="direct-chat-msg right">
                                <div class="direct-chat-info clearfix">
                                    <span class="direct-chat-name pull-right">Sarah Bullock</span>
                                    <span class="direct-chat-timestamp pull-left">23 Jan 2:05 pm</span>
                                </div><!-- /.direct-chat-info -->
                                <p:graphicImage class="direct-chat-img" value="/resources/dist/img/user3-128x128.jpg" alt="message user image"/><!-- /.direct-chat-img -->
                                <div class="direct-chat-text">
                                    You better believe it!
                                </div><!-- /.direct-chat-text -->
                            </div><!-- /.direct-chat-msg -->

                            <!-- Message. Default to the left -->
                            <div class="direct-chat-msg">
                                <div class="direct-chat-info clearfix">
                                    <span class="direct-chat-name pull-left">Alexander Pierce</span>
                                    <span class="direct-chat-timestamp pull-right">23 Jan 5:37 pm</span>
                                </div><!-- /.direct-chat-info -->
                                <p:graphicImage class="direct-chat-img" value="/resources/dist/img/user1-128x128.jpg" alt="message user image"/><!-- /.direct-chat-img -->
                                <div class="direct-chat-text">
                                    Working with AdminLTE on a great new app! Wanna join?
                                </div><!-- /.direct-chat-text -->
                            </div><!-- /.direct-chat-msg -->

                            <!-- Message to the right -->
                            <div class="direct-chat-msg right">
                                <div class="direct-chat-info clearfix">
                                    <span class="direct-chat-name pull-right">Sarah Bullock</span>
                                    <span class="direct-chat-timestamp pull-left">23 Jan 6:10 pm</span>
                                </div><!-- /.direct-chat-info -->
                                <p:graphicImage class="direct-chat-img" value="/resources/dist/img/user3-128x128.jpg" alt="message user image"/><!-- /.direct-chat-img -->
                                <div class="direct-chat-text">
                                    I would love to.
                                </div><!-- /.direct-chat-text -->
                            </div><!-- /.direct-chat-msg -->

                        </div><!--/.direct-chat-messages-->

                        <!-- Contacts are loaded here -->
                        <div class="direct-chat-contacts">
                            <ul class="contacts-list">
                                <li>
                                    <a href="#">
                                        <p:graphicImage class="contacts-list-img" value="/resources/dist/img/user1-128x128.jpg"/>
                                        <div class="contacts-list-info">
                                            <span class="contacts-list-name">
                                                Count Dracula
                                                <small class="contacts-list-date pull-right">2/28/2015</small>
                                            </span>
                                            <span class="contacts-list-msg">How have you been? I was...</span>
                                        </div><!-- /.contacts-list-info -->
                                    </a>
                                </li><!-- End Contact Item -->
                                <li>
                                    <a href="#">
                                        <p:graphicImage class="contacts-list-img" value="/resources/dist/img/user7-128x128.jpg"/>
                                        <div class="contacts-list-info">
                                            <span class="contacts-list-name">
                                                Sarah Doe
                                                <small class="contacts-list-date pull-right">2/23/2015</small>
                                            </span>
                                            <span class="contacts-list-msg">I will be waiting for...</span>
                                        </div><!-- /.contacts-list-info -->
                                    </a>
                                </li><!-- End Contact Item -->
                                <li>
                                    <a href="#">
                                        <p:graphicImage class="contacts-list-img" value="/resources/dist/img/user3-128x128.jpg"/>
                                        <div class="contacts-list-info">
                                            <span class="contacts-list-name">
                                                Nadia Jolie
                                                <small class="contacts-list-date pull-right">2/20/2015</small>
                                            </span>
                                            <span class="contacts-list-msg">I'll call you back at...</span>
                                        </div><!-- /.contacts-list-info -->
                                    </a>
                                </li><!-- End Contact Item -->
                                <li>
                                    <a href="#">
                                        <p:graphicImage class="contacts-list-img" value="/resources/dist/img/user5-128x128.jpg"/>
                                        <div class="contacts-list-info">
                                            <span class="contacts-list-name">
                                                Nora S. Vans
                                                <small class="contacts-list-date pull-right">2/10/2015</small>
                                            </span>
                                            <span class="contacts-list-msg">Where is your new...</span>
                                        </div><!-- /.contacts-list-info -->
                                    </a>
                                </li><!-- End Contact Item -->
                                <li>
                                    <a href="#">
                                        <p:graphicImage class="contacts-list-img" value="/resources/dist/img/user6-128x128.jpg"/>
                                        <div class="contacts-list-info">
                                            <span class="contacts-list-name">
                                                John K.
                                                <small class="contacts-list-date pull-right">1/27/2015</small>
                                            </span>
                                            <span class="contacts-list-msg">Can I take a look at...</span>
                                        </div><!-- /.contacts-list-info -->
                                    </a>
                                </li><!-- End Contact Item -->
                                <li>
                                    <a href="#">
                                        <p:graphicImage class="contacts-list-img" value="/resources/dist/img/user8-128x128.jpg"/>
                                        <div class="contacts-list-info">
                                            <span class="contacts-list-name">
                                                Kenneth M.
                                                <small class="contacts-list-date pull-right">1/4/2015</small>
                                            </span>
                                            <span class="contacts-list-msg">Never mind I found...</span>
                                        </div><!-- /.contacts-list-info -->
                                    </a>
                                </li><!-- End Contact Item -->
                            </ul><!-- /.contatcts-list -->
                        </div><!-- /.direct-chat-pane -->
                    </div><!-- /.box-body -->
                    <div class="box-footer">

                        <div class="input-group">
                            <input type="text" name="message" placeholder="Type Message ..." class="form-control"/>
                            <span class="input-group-btn">
                                <button type="button" class="btn btn-warning btn-flat">Send</button>
                            </span>
                        </div>
                    </div><!-- /.box-footer-->
                </div><!--/.direct-chat -->
            </div><!-- /.col -->
        </p:dialog>

        <div class="wrapper">

            <header class="main-header">
                <!-- Logo -->
                <a href="#{request.contextPath}/index.xhtml" class="logo">
                    <!-- mini logo for sidebar mini 50x50 pixels -->
                    <span class="logo-mini"><b>KF</b></span>
                    <!-- logo for regular state and mobile devices -->
                    <span class="logo-lg"><b><h:outputText value="#{messages.AppName}"/></b></span>
                </a>
                <!-- Header Navbar: style can be found in header.less -->
                <nav class="navbar navbar-static-top" role="navigation">
                    <!-- Sidebar toggle button-->
                    <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
                        <span class="sr-only">Toggle navigation</span>
                    </a>
                    <div class="navbar-custom-menu">
                        <ul class="nav navbar-nav">

                            <!-- Messages: style can be found in dropdown.less-->
                            <li class="dropdown messages-menu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <i class="fa fa-envelope-o"></i>
                                    <span class="label label-success">4</span>
                                </a>
                                <ul class="dropdown-menu">
                                    <li class="header">You have 4 messages</li>
                                    <li>
                                        <!-- inner menu: contains the actual data -->
                                        <ul class="menu">
                                            <li><!-- start message -->
                                                <a href="#">
                                                    <div class="pull-left">
                                                        <h:graphicImage library="dist" name="img/user2-160x160.jpg" class="img-circle" alt="User Image"/>
                                                    </div>
                                                    <h4>
                                                        Support Team
                                                        <small><i class="fa fa-clock-o"></i> 5 mins</small>
                                                    </h4>
                                                    <p>Why not buy a new awesome theme?</p>
                                                </a>
                                            </li><!-- end message -->
                                            <li>
                                                <a href="#">
                                                    <div class="pull-left">
                                                        <h:graphicImage library="dist" name="img/user3-128x128.jpg" alt="User Image"/>
                                                    </div>
                                                    <h4>
                                                        AdminLTE Design Team
                                                        <small><i class="fa fa-clock-o"></i> 2 hours</small>
                                                    </h4>
                                                    <p>Why not buy a new awesome theme?</p>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <div class="pull-left">
                                                        <h:graphicImage library="dist" name="img/user4-128x128.jpg" alt="User Image"/>
                                                    </div>
                                                    <h4>
                                                        Developers
                                                        <small><i class="fa fa-clock-o"></i> Today</small>
                                                    </h4>
                                                    <p>Why not buy a new awesome theme?</p>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <div class="pull-left">
                                                        <h:graphicImage library="dist" name="img/user3-128x128.jpg" alt="User Image"/>
                                                    </div>
                                                    <h4>
                                                        Sales Department
                                                        <small><i class="fa fa-clock-o"></i> Yesterday</small>
                                                    </h4>
                                                    <p>Why not buy a new awesome theme?</p>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <div class="pull-left">
                                                        <h:graphicImage library="dist" name="img/user4-128x128.jpg" alt="User Image"/>
                                                    </div>
                                                    <h4>
                                                        Reviewers
                                                        <small><i class="fa fa-clock-o"></i> 2 days</small>
                                                    </h4>
                                                    <p>Why not buy a new awesome theme?</p>
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                    <li class="footer"><a href="#">See All Messages</a></li>
                                </ul>
                            </li>
                            <!-- Notifications: style can be found in dropdown.less -->
                            <li class="dropdown notifications-menu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <i class="fa fa-bell-o"></i>
                                    <span class="label label-warning">10</span>
                                </a>
                                <ul class="dropdown-menu">
                                    <li class="header">You have 10 notifications</li>
                                    <li>
                                        <!-- inner menu: contains the actual data -->
                                        <ul class="menu">
                                            <li>
                                                <a href="#">
                                                    <i class="fa fa-users text-aqua"></i> 5 new members joined today
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <i class="fa fa-warning text-yellow"></i> Very long description here that may not fit into the page and may cause design problems
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <i class="fa fa-users text-red"></i> 5 new members joined
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <i class="fa fa-shopping-cart text-green"></i> 25 sales made
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#">
                                                    <i class="fa fa-user text-red"></i> You changed your username
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                    <li class="footer"><a href="#">View all</a></li>
                                </ul>
                            </li>
                            <!-- Tasks: style can be found in dropdown.less -->
                            <li class="dropdown tasks-menu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <i class="fa fa-flag-o"></i>
                                    <span class="label label-danger">9</span>
                                </a>
                                <ul class="dropdown-menu">
                                    <li class="header">You have 9 tasks</li>
                                    <li>
                                        <!-- inner menu: contains the actual data -->
                                        <ul class="menu">
                                            <li><!-- Task item -->
                                                <a href="#">
                                                    <h3>
                                                        Design some buttons
                                                        <small class="pull-right">20%</small>
                                                    </h3>
                                                    <div class="progress xs">
                                                        <div class="progress-bar progress-bar-aqua" style="width: 20%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                            <span class="sr-only">20% Complete</span>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li><!-- end task item -->
                                            <li><!-- Task item -->
                                                <a href="#">
                                                    <h3>
                                                        Create a nice theme
                                                        <small class="pull-right">40%</small>
                                                    </h3>
                                                    <div class="progress xs">
                                                        <div class="progress-bar progress-bar-green" style="width: 40%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                            <span class="sr-only">40% Complete</span>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li><!-- end task item -->
                                            <li><!-- Task item -->
                                                <a href="#">
                                                    <h3>
                                                        Some task I need to do
                                                        <small class="pull-right">60%</small>
                                                    </h3>
                                                    <div class="progress xs">
                                                        <div class="progress-bar progress-bar-red" style="width: 60%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                            <span class="sr-only">60% Complete</span>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li><!-- end task item -->
                                            <li><!-- Task item -->
                                                <a href="#">
                                                    <h3>
                                                        Make beautiful transitions
                                                        <small class="pull-right">80%</small>
                                                    </h3>
                                                    <div class="progress xs">
                                                        <div class="progress-bar progress-bar-yellow" style="width: 80%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                            <span class="sr-only">80% Complete</span>
                                                        </div>
                                                    </div>
                                                </a>
                                            </li><!-- end task item -->
                                        </ul>
                                    </li>
                                    <li class="footer">
                                        <a href="#">View all tasks</a>
                                    </li>
                                </ul>
                            </li>
                            <!-- User Account: style can be found in dropdown.less -->
                            <li class="dropdown user user-menu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <h:graphicImage library="dist" name="img/user2-160x160.jpg" class="user-image" alt="User Image"/>
                                    <span class="hidden-xs">#{loginController.staff.fullName}</span>
                                </a>
                                <ul class="dropdown-menu">
                                    <!-- User image -->
                                    <li class="user-header">
                                        <h:graphicImage library="dist" name="img/user2-160x160.jpg" class="img-circle" alt="User Image"/>
                                        <p>
                                            #{loginController.staff.fullName} - Web Developer
                                            <small>Member since Nov. 2012</small>
                                        </p>
                                    </li>
                                    <!-- Menu Body -->
                                    <li class="user-body">
                                        <div class="col-xs-4 text-center">
                                            <a href="#">Followers</a>
                                        </div>
                                        <div class="col-xs-4 text-center">
                                            <a href="#">Sales</a>
                                        </div>
                                        <div class="col-xs-4 text-center">
                                            <a href="#">Friends</a>
                                        </div>
                                    </li>
                                    <!-- Menu Footer-->
                                    <li class="user-footer">
                                        <div class="pull-left">
                                            <!--                                            <a href="#" class="btn btn-default btn-flat">Profile</a>-->
                                            <h:form>
                                                <p:commandLink value="Profile" styleClass="btn btn-default btn-flat" onclick="PF('ProfileDialog').show()"/>
                                            </h:form>
                                        </div>
                                        <div class="pull-right">
                                            <h:form>
                                                <p:commandLink style="color: white" value="Sign out" styleClass="btn btn-default btn-flat" action="#{loginController.logout()}">
                                                    <i class="fa fa-sign-out fa-lg"></i>
                                                    &nbsp;
                                                </p:commandLink>
                                            </h:form>
                                        </div>
                                    </li>

                                </ul>

                            </li>
                            <!-- Control Sidebar Toggle Button -->
                            <li>
                                <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </header>
            <!-- Left side column. contains the logo and sidebar -->
            <aside class="main-sidebar">
                <h:form>
                    <!-- sidebar: style can be found in sidebar.less -->
                    <section class="sidebar" id="sidebar">
                        <!-- Sidebar user panel -->
                        <div class="user-panel">
                            <div class="pull-left image">
                                <h:graphicImage library="dist" name="img/user2-160x160.jpg" class="img-circle" alt="User Image"/>
                            </div>
                            <div class="pull-left info">
                                <p>#{loginController.staff.fullName}</p>
                                <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
                            </div>
                        </div>
                        <!--                        <div class="sidebar-form">
                                                    <div class="input-group">
                                                        <p:inputText pt:placeholder="Search..." class="form-control" value="#{menuController.searhText}" valueChangeListener="#{menuController.menuSearchValueChange}">
                                                            <p:ajax event="keyup" update="menuListGroup"/>
                                                        </p:inputText>
                                                        <span class="input-group-btn">
                                                            <button name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i></button>
                                                        </span>
                                                    </div>
                                                </div>-->
                        <!-- sidebar menu: : style can be found in sidebar.less -->
                        <ul class="sidebar-menu" id="sidebar-menu" style="height: 80%;width: 100%">
                            <li class="header" id="liHeader">MAIN NAVIGATION</li>
                            <h:panelGroup id="menuListGroup" class="sidebar-menu">
                                <ui:repeat value="#{menuController.menuList}" var="menu">
                                    <ui:fragment rendered="#{menu.topMenuId==null}">
                                        <li class="treeview" id="mainTree">
                                            <ui:fragment rendered="#{menu.menuLink eq null or menu.menuLink ==''}">
                                                <a href="">
                                                    <i class="#{menu.icon}" style="color:#{menu.iconColor}"></i>
                                                    <span>
                                                        #{menu.menuName}
                                                    </span>
                                                    <i class="fa fa-angle-left pull-right"></i>
                                                </a>
                                            </ui:fragment>
                                            <ul class="treeview-menu">
                                                <ui:repeat value="#{menuController.menuList}" var="subMenu">

                                                    <ui:fragment rendered="#{menu.id == subMenu.topMenuId}">

                                                        <li id="li#{subMenu.id}">
                                                            <p:commandLink action="#{menuController.setPage(subMenu.menuLink,subMenu.menuName)}" update="myPanel,myDashBoard"  onstart="start()" onsuccess="finish()">
                                                                <i class="fa fa-circle-o"></i>
                                                                #{subMenu.menuName}
                                                                <small class="label pull-right bg-aqua">#{countPage.fieldGetValue(subMenu.menuLink)}</small>
                                                            </p:commandLink>
                                                        </li>      

                                                    </ui:fragment>

                                                </ui:repeat>
                                            </ul>
                                        </li>
                                    </ui:fragment>
                                </ui:repeat>
                            </h:panelGroup>
                        </ul>
                    </section>
                    <!-- /.sidebar -->
                </h:form>
            </aside>


            <!-- Content Wrapper. Contains page content -->
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <section class="content-header">

                    <h1>
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                    <h:panelGroup id="myDashBoard" class="breadcrumb">
                        <ol class="breadcrumb">

                            <li><a href="index.xhtml"><i class="fa fa-dashboard"></i> Home</a></li>

                            <li class="active">#{menuController.pageName}</li>

                        </ol>

                    </h:panelGroup>
                </section>

                <!-- Main content -->
                <section class="content">
                    <!--                    <ui:insert name="body"/>                   -->
                    <h:panelGroup id="myPanel" layout="block">
<!--                         <ui:include src="#{menuController.pageLink}.xhtml"/> -->
                    </h:panelGroup>

                </section><!-- /.content -->
            </div><!-- /.content-wrapper -->

            <!-- Control Sidebar -->
            <aside class="control-sidebar control-sidebar-dark">
                <!-- Tab panes -->
                <div class="tab-content">
                    <!-- Home tab content -->
                    <div class="tab-pane" id="control-sidebar-home-tab">


                        <h3 class="control-sidebar-heading">Tasks Progress</h3>
                        <ul class="control-sidebar-menu">
                            <li>
                                <a href="javascript::;">
                                    <h4 class="control-sidebar-subheading">
                                        Custom Template Design
                                        <span class="label label-danger pull-right">70%</span>
                                    </h4>
                                    <div class="progress progress-xxs">
                                        <div class="progress-bar progress-bar-danger" style="width: 70%"></div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="javascript::;">
                                    <h4 class="control-sidebar-subheading">
                                        Update Resume
                                        <span class="label label-success pull-right">95%</span>
                                    </h4>
                                    <div class="progress progress-xxs">
                                        <div class="progress-bar progress-bar-success" style="width: 95%"></div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="javascript::;">
                                    <h4 class="control-sidebar-subheading">
                                        Laravel Integration
                                        <span class="label label-warning pull-right">50%</span>
                                    </h4>
                                    <div class="progress progress-xxs">
                                        <div class="progress-bar progress-bar-warning" style="width: 50%"></div>
                                    </div>
                                </a>
                            </li>
                        </ul><!-- /.control-sidebar-menu -->

                    </div><!-- /.tab-pane -->

                </div>
            </aside><!-- /.control-sidebar -->

            <!-- Add the sidebar's background. This div must be placed
                 immediately after the control sidebar -->
            <div class="control-sidebar-bg"></div>
        </div>
        <!-- ################################################################################ -->
        <h:outputScript library="bootstrap" name="js/bootstrap.min.js"/>
        <h:outputScript library="dist" name="js/app.js"/>
        <h:outputScript library="dist" name="js/demo.js"/>
        <h:outputScript library="scripts" name="nprogress.js"/>

        <script type="text/javascript">
            function start() {
                var cssClass = $("body").attr("class");
                NProgress.start(cssClass);
            }
            function finish() {
                NProgress.done();
            }
        </script>

        <!-- Page Loading Effect -->
        <script>var HN = [];
            HN.factory = function (e) {
                return function () {
                    HN.push([e].concat(Array.prototype.slice.call(arguments, 0)))
                };
            }, HN.on = HN.factory("on"), HN.once = HN.factory("once"), HN.off = HN.factory("off"), HN.emit = HN.factory("emit"), HN.load = function () {
                var e = "hn-button.js";
                if (document.getElementById(e))
                    return;
                var t = document.createElement("script");
                t.id = e, t.src = "//hn-button.herokuapp.com/hn-button.js";
                var n = document.getElementsByTagName("script")[0];
                n.parentNode.insertBefore(t, n)
            }, HN.load();
        </script>
        <!-- Page Loading Effect -->

        <!--        <script type="text/javascript">
        
        //            function resize() {
        //                var height = $(window).height();
        //                var userPanel = $(".user-panel").height();
        //                var mainHeader = $(".main-header").height();
        //                var liHeader = $("#liHeader").height();
        //                var margins = 13;
        //                var total = userPanel + mainHeader + liHeader + margins;
        //                var result = height - total;
        //                result = result + "px";
        //                $("#sidebar-menu").css("height", result);
        //                $("#sidebar-menu").css("overflow-y", "scroll");
        //            }
        
                    $(document).ready(function () {
                        $("#mainTree").addClass("active");
                        //resize();
                    });
        //
        //            $(window).on('resize', function () {
        //                resize();
        //            });
        
                    $(document).ready(function () {
                        $('li').on('click', function () {
                            $(this).siblings().removeClass('active');
                            $(this).addClass('active');
                        });
                    });
        
                </script>-->
    </h:body>
</html>